### Method

# AppStreamCompose Compose set_check_metadata_early_func

#### Declaration [src]

    void
    asc_compose_set_check_metadata_early_func (
      AscCompose* compose,
      AscCheckMetadataEarlyFn func,
      gpointer user_data
    )

#### Description [src]

Set an custom callback to be run when most of the metadata has been loaded, but no expensive operations (like downloads or icon rendering) have been done yet. This can be used to ignore unwanted components early on.

The callback function may be called from any thread, so it needs to ensure thread safety on its own.

#### Parameters

`func`

  Type: `AscCheckMetadataEarlyFn`

  The `AscCheckMetainfoLoadResultFn` function to be called.

`user_data`

  Type: `gpointer`

  User data for `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.